Skip to content

Retrieve the entry criteria for a user action. Entry criteria are requirements the binder must meet before you can initiate the action. Entry criteria are dynamic and depend on the lifecycle configuration, lifecycle state, or any workflow activation requirements defined in the Start Step of the workflow. Learn more about entry criteria in Vault Help.

To retrieve entry criteria, the authenticated user must have permission to execute the action. To check permissions, Retrieve User Actions and check for actions where executable__v is true.

GET/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/lifecycle_actions/{name__v}/entry_requirements
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value from which to retrieve available user actions.
{major_version}The major version number of the binder.
{minor_version}The minor version number of the binder.
{name__v}The lifecycle name__v field value from which to retrieve entry criteria. Retrieve this value from Retrieve User Actions.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v25.2/objects/binders/152/versions/0/1/lifecycle_actions/read__c/entry_requirements
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "properties": [ { "name": "user_control_multiple__c", "description": "Read", "type": [ "ObjectReference" ], "objectTypeReferenced": { "name": "User", "label": "User" }, "required": true, "editable": true, "repeating": true, "scope": "WorkflowActivation" } ] }

The response may include the following metadata elements describing the properties for which values need to be specified: